Bug 1011962 - Review Request: datanucleus-api-jdo - plugin for JDO support
Summary: Review Request: datanucleus-api-jdo - plugin for JDO support
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: jdo-api datanucleus-core
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-25 12:59 UTC by Pete MacKinnon
Modified: 2014-02-01 09:00 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-02-01 04:05:54 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pete MacKinnon 2013-09-25 12:59:27 UTC
Plugin providing DataNucleus implementation of JDO API.

SPEC URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-api-jdo.spec
SRPM URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-api-jdo-3.2.4-1.fc19.src.rpm

Comment 2 gil cattaneo 2013-12-11 18:39:59 UTC
check out these ISSUES:

[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/gil/1011962-datanucleus-api-
     jdo/licensecheck.txt
[?]: Sources contain only permissible code or content.

src/java/org/datanucleus/api/jdo/jdo_orm_2_0.dtd
src/java/org/datanucleus/api/jdo/jdoquery_2_0.dtd
license for these files it is not clear, please let control




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/gil/1011962-datanucleus-api-
     jdo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     datanucleus-api-jdo-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: datanucleus-api-jdo-3.2.6-1.fc21.noarch.rpm
          datanucleus-api-jdo-javadoc-3.2.6-1.fc21.noarch.rpm
          datanucleus-api-jdo-3.2.6-1.fc21.src.rpm
datanucleus-api-jdo.src: W: invalid-url Source0: datanucleus-api-jdo-3.2.6.tar.xz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint datanucleus-api-jdo-javadoc datanucleus-api-jdo
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
datanucleus-api-jdo-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

datanucleus-api-jdo (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    osgi(org.datanucleus)



Provides
--------
datanucleus-api-jdo-javadoc:
    datanucleus-api-jdo-javadoc

datanucleus-api-jdo:
    datanucleus-api-jdo
    mvn(org.datanucleus:datanucleus-api-jdo)
    osgi(org.datanucleus.api.jdo)



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1011962 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 3 Pete MacKinnon 2013-12-13 14:50:09 UTC
The files in question are available at http://java.sun.com/dtd/ and do contain the ASL 2 license. So what do you propose? I can create the JIRA with datanucleus.org in the interim.

Can we substitute the sun.com reference versions in the build? Or patch the existing ones?

Comment 4 gil cattaneo 2013-12-13 15:00:11 UTC
(In reply to Pete MacKinnon from comment #3)
> The files in question are available at http://java.sun.com/dtd/ and do
> contain the ASL 2 license. So what do you propose? I can create the JIRA
> with datanucleus.org in the interim.
> 
> Can we substitute the sun.com reference versions in the build? Or patch the
> existing ones?

if you are sure of the ASL license, fine by me. otherwise ask the developers a clarification

Comment 5 Pete MacKinnon 2013-12-17 02:59:54 UTC
Injected ASL2 license headers and registered upstream JIRA:

SPEC URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-api-jdo.spec
SRPM URL: http://pmackinn.fedorapeople.org/datanucleus/datanucleus-api-jdo-3.2.6-2.fc21.src.rpm

Comment 6 Pete MacKinnon 2013-12-17 03:02:57 UTC
New Package SCM Request
=======================
Package Name: datanucleus-api-jdo
Short Description: Plugin providing DataNucleus implementation of JDO API
Owners: pmackinn
Branches: f20
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2013-12-17 12:59:52 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-01-03 16:26:56 UTC
datanucleus-api-jdo-3.2.6-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/datanucleus-api-jdo-3.2.6-3.fc20

Comment 9 Fedora Update System 2014-01-04 19:52:40 UTC
datanucleus-api-jdo-3.2.6-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-02-01 04:05:54 UTC
datanucleus-api-jdo-3.2.6-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.